import { connect } from 'umi';
import TestStandInfoComponent from '../../../components/CommonElementEvent/TestStandInfo';

function TeststandInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const knifemouldInfoProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <TestStandInfoComponent {...knifemouldInfoProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(TeststandInfo);
